#ifndef ACWATCH_DEFINED
#define ACWATCH_DEFINED

// Include files needed by the project
#include <windows.h>
#include <process.h>
#include <windowsx.h>		// message crackers
#include <crtdbg.h>			// _ASSERTE macro (readable debug-build assertion checking)
#include <mmsystem.h>		// timeGetTime()
#include <winsock.h>		// networking
#include <stdio.h>
#include <string.h>
#include <time.h>			// mktime(), asctime(), localtime()
#include <io.h>				// _findfirst(), _findnext()

#include "tgStrList.h"		// list of monitored files
#include "resource.h"		// resources

#include "acwGUI.h"			// GUI functions
#include "acwAT.h"			// AudioTron functions

// Defines
#define WM_POST_CREATION	WM_APP + 1	// window message sent after window has been created
#define UWM_SYSTRAY			(WM_USER + 1)

#define MAX_ATRON_LINE_LEN	41

// Function prototypes
int WINAPI WinMain(HINSTANCE hCurInstance, HINSTANCE hPrevInstance, LPSTR lpszCmdLine, int nCmdShow);
void Log(char *text, ...);
char *getBaseFilename(char *fn);
int init_winsock(void);
void shutdown_winsock(void);
char *combinedString(char *str1, char *str2);
void monitorDirectory(char *dirname, int depth = 0);
void createMonitoredFileList(void);
void checkMonitoredFileExistence(void);
char *intTimeToString(int inttime);
int getLastAccessTime(char *fn);
void initAccessTimes(void);
void monitorFiles(void);
int readConfigFile(void);

// Threads
unsigned int __stdcall monitor_thread(void *ptr);

#endif